From: "Sebastian Pipping" <sping@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-util/lcov/
Date: Sun, 30 Mar 2025 15:21:13 +0000 (UTC) [thread overview]
Message-ID: <1743348019.a98ecc849325da0510c63c64c76c471dee60d420.sping@gentoo> (raw)
commit: a98ecc849325da0510c63c64c76c471dee60d420
Author: Sebastian Pipping <sping <AT> gentoo <DOT> org>
AuthorDate: Sun Mar 30 15:18:46 2025 +0000
Commit: Sebastian Pipping <sping <AT> gentoo <DOT> org>
CommitDate: Sun Mar 30 15:20:19 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a98ecc84
dev-util/lcov: 2.3.1 (with tests re-enabled)
Signed-off-by: Sebastian Pipping <sping <AT> gentoo.org>
dev-util/lcov/Manifest | 1 +
dev-util/lcov/lcov-2.3.1.ebuild | 93 +++++++++++++++++++++++++++++++++++++++++
2 files changed, 94 insertions(+)
diff --git a/dev-util/lcov/Manifest b/dev-util/lcov/Manifest
index 3584f0e85e2c..cec7642e822b 100644
--- a/dev-util/lcov/Manifest
+++ b/dev-util/lcov/Manifest
@@ -1,2 +1,3 @@
DIST lcov-2.0.tar.gz 391695 BLAKE2B 737d6104ebedf90ba2c3bf0c439dd7e2d18724d7267c3bd79897140785246d9ed6334eec9eabc888e361f5e22515da9756e946e1097777fb88c140398b0b078a SHA512 b19b6debc93c0de0e7e5b2aaffa6c74d20a1313ea4d20d8731c6a5ea7f4cc40933316d28ef791c91fdc12ca77c9449a388405f3dc0793588e366b72f596ab49b
+DIST lcov-2.3.1.tar.gz 611162 BLAKE2B fa8649ec19a9cc671f2b05660c3e4c342b96a437eba9fbfa8e702b4f973d29ae2bed9df6ce7ad6d009341e006ccaf563e32356eeaaf29d0b3570f6480d013cc3 SHA512 42a6a09a6cacb6dd840bf6343a86dbeb5c655c724b64b699213d58ac7b4a8768d046e6e086f11ee35a36ad15610a8bb6b2b8451b456fffd858805a12d68efb63
DIST lcov-2.3.tar.gz 848329 BLAKE2B dbb0f0296efb25254f46f54dd1cade6afe5c4f974a144e1f636568729f5c9098c3bb0de281c6c0c0c8254058253c508f799b2074f214316b1766ed07c61afca6 SHA512 ee6880e12393e4b142ba777f70e70f56736acb2516f1e6a8711fb7c8a1b808c603966c6c75937d5151047410483f5fa34c9558d9df3fa2a3fc5ca1c886963c2b
diff --git a/dev-util/lcov/lcov-2.3.1.ebuild b/dev-util/lcov/lcov-2.3.1.ebuild
new file mode 100644
index 000000000000..2da1d33c9db1
--- /dev/null
+++ b/dev-util/lcov/lcov-2.3.1.ebuild
@@ -0,0 +1,93 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..13} )
+inherit optfeature prefix python-any-r1
+
+DESCRIPTION="A graphical front-end for GCC's coverage testing tool gcov"
+HOMEPAGE="https://github.com/linux-test-project/lcov"
+
+if [[ ${PV} == 9999 ]] ; then
+ EGIT_REPO_URI="https://github.com/linux-test-project/lcov.git"
+ inherit git-r3
+else
+ SRC_URI="https://github.com/linux-test-project/lcov/releases/download/v${PV}/${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~x86"
+fi
+
+LICENSE="GPL-2+"
+SLOT="0"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+# Python is used for spreadsheet.py
+RDEPEND="
+ dev-lang/perl
+ dev-perl/Capture-Tiny
+ dev-perl/DateTime
+ dev-perl/Devel-Cover
+ || (
+ dev-perl/JSON-XS
+ dev-perl/Cpanel-JSON-XS
+ virtual/perl-JSON-PP
+ dev-perl/JSON
+ )
+ dev-perl/Memory-Process
+ dev-perl/TimeDate
+ dev-perl/PerlIO-gzip
+ virtual/perl-Module-Load-Conditional
+ virtual/perl-Scalar-List-Utils
+"
+BDEPEND="
+ test? (
+ ${RDEPEND}
+ dev-perl/GD
+ $(python_gen_any_dep '
+ dev-python/coverage[${PYTHON_USEDEP}]
+ dev-python/xlsxwriter[${PYTHON_USEDEP}]
+ ')
+ )
+"
+
+python_check_deps() {
+ python_has_version "dev-python/coverage[${PYTHON_USEDEP}]" \
+ && \
+ python_has_version "dev-python/xlsxwriter[${PYTHON_USEDEP}]"
+}
+
+pkg_setup() {
+ use test && python-any-r1_pkg_setup
+}
+
+src_prepare() {
+ default
+ if use prefix; then
+ hprefixify bin/*.{pl,sh}
+ fi
+}
+
+src_compile() { :; }
+
+src_test() {
+ emake -j1 check
+}
+
+src_install() {
+ emake -j1 \
+ DESTDIR="${D}" \
+ CFG_DIR="${EPREFIX}/etc" \
+ PREFIX="${EPREFIX}/usr" \
+ LCOV_PERL_PATH="${EPREFIX}/usr/bin/perl" \
+ install
+}
+
+pkg_postinst() {
+ optfeature_header "Optional outuput support:"
+ optfeature "png output support" dev-perl/GD[png]
+ optfeature "spreadsheet output support" dev-python/xlsxwriter
+ optfeature_header "Optional language support:"
+ optfeature "Python code coverage support" dev-python/coverage
+ optfeature "Perl code coverage support" dev-perl/Devel-Cover
+}
next reply other threads:[~2025-03-30 15:21 UTC|newest]
Thread overview: 56+ messages / expand[flat|nested] mbox.gz Atom feed top
2025-03-30 15:21 Sebastian Pipping [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-03-14 15:34 [gentoo-commits] repo/gentoo:master commit in: dev-util/lcov/ Sam James
2025-03-14 8:12 Sam James
2025-01-11 14:42 Jakov Smolić
2025-01-10 4:41 WANG Xuerui
2025-01-10 4:17 Sam James
2025-01-10 4:17 Sam James
2025-01-10 4:17 Sam James
2025-01-09 23:41 Sebastian Pipping
2025-01-08 15:04 Jakov Smolić
2025-01-08 13:27 Jakov Smolić
2025-01-07 19:51 Sam James
2025-01-07 19:30 Arthur Zamarin
2025-01-07 18:54 Sam James
2025-01-07 18:54 Sam James
2025-01-07 18:30 Sam James
2025-01-07 18:30 Sam James
2025-01-07 1:51 Sebastian Pipping
2025-01-07 1:16 Sebastian Pipping
2025-01-06 20:53 Sebastian Pipping
2025-01-06 18:08 Sebastian Pipping
2025-01-06 17:32 Sebastian Pipping
2024-05-01 8:44 Sam James
2024-01-25 13:44 Sam James
2023-10-14 1:38 Sam James
2023-10-12 5:34 Sam James
2023-10-12 5:28 Sam James
2023-10-12 5:28 Sam James
2021-11-19 8:34 Sam James
2021-08-29 8:37 Marek Szuba
2020-09-29 6:37 Joonas Niilola
2020-09-29 6:37 Joonas Niilola
2020-05-01 8:40 Mart Raudsepp
2019-11-27 1:12 Zac Medico
2019-11-14 0:47 Aaron Bauman
2019-07-18 7:45 Michał Górny
2019-05-22 5:49 Aaron Bauman
2019-03-25 23:18 Patrick McLean
2018-10-22 20:07 Michał Górny
2018-10-22 20:07 Michał Górny
2018-10-22 20:07 Michał Górny
2018-10-22 20:07 Michał Górny
2018-10-22 20:07 Michał Górny
2018-04-18 7:01 Mart Raudsepp
2018-03-28 20:55 Matt Turner
2018-03-06 14:43 Guilherme Amadio
2018-03-01 18:43 Michał Górny
2018-02-11 10:53 Michał Górny
2017-07-19 16:31 Patrice Clement
2017-07-19 15:51 Patrice Clement
2017-05-06 2:05 Michael Orlitzky
2017-05-01 22:34 Sebastian Pipping
2017-02-02 12:26 Manuel Rüger
2017-02-02 12:26 Manuel Rüger
2017-01-14 13:26 Jeroen Roovers
2017-01-06 13:32 Tobias Klausmann
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1743348019.a98ecc849325da0510c63c64c76c471dee60d420.sping@gentoo \
--to=sping@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox